POST /batch-orders
Creates a deterministic batch of GTC limit orders. All legs must share account, instrument, side, post_only, and reduce_only.
POST https://api.aevo.xyz/batch-orders
Authentication required. Include your
AEVO-KEYandAEVO-SECRETheaders. See Authentication.
Body Parameters
Field
Type
Required
Description
orders
array[object]
No
Example Request
curl --request POST \
--url https://api.aevo.xyz/batch-orders \
--header 'accept: application/json' \
--header 'AEVO-KEY: <your-api-key>' \
--header 'AEVO-SECRET: <your-api-secret>' \
--header 'content-type: application/json' \
--data '{ ... }'Responses
200 — Batch order created.
Field
Type
Required
Description
success
boolean
Yes
Request successful if true. Example: true Example: True
400 — Bad request.
Field
Type
Required
Description
error
string
Yes
Error message. Example: ERR_MALFORMED_REQUEST
401 — Unauthorized.
Field
Type
Required
Description
error
string
Yes
Error message. Example: UNAUTHORIZED
429 — Rate limit exceeded.
Field
Type
Required
Description
error
string
Yes
Error message. Example: RATE_LIMIT_EXCEEDED
500 — Internal server error.
Field
Type
Required
Description
error
string
Yes
Error message. Example: INTERNAL_ERROR
Last updated
Was this helpful?

